List Webhooks
curl --request GET \
--url https://api.example.com/api/v1/webhooks/subscriptionsimport requests
url = "https://api.example.com/api/v1/webhooks/subscriptions"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/webhooks/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"webhooks": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"subscribed_events": [
"<string>"
],
"is_active": true,
"status": "<string>",
"failure_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"last_success_at": "2023-11-07T05:31:56Z",
"last_failure_at": "2023-11-07T05:31:56Z",
"description": "<string>"
}
],
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}webhooks
List Webhooks
List outbound webhook subscriptions.
GET
/
api
/
v1
/
webhooks
/
subscriptions
List Webhooks
curl --request GET \
--url https://api.example.com/api/v1/webhooks/subscriptionsimport requests
url = "https://api.example.com/api/v1/webhooks/subscriptions"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/webhooks/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"webhooks": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"subscribed_events": [
"<string>"
],
"is_active": true,
"status": "<string>",
"failure_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"last_success_at": "2023-11-07T05:31:56Z",
"last_failure_at": "2023-11-07T05:31:56Z",
"description": "<string>"
}
],
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Headers
Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 0